Bug 1288856 - pvrusb2 crashes when suspending to ram [NEEDINFO]
pvrusb2 crashes when suspending to ram
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 11:47 EST by Airbete
Modified: 2017-04-28 13:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:15:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Airbete 2015-12-06 11:47:11 EST
Description of problem:

Up to, and including kernel 4.0.8-300.fc22.x86_64, my HVR-1950 was working perfectly. On any later kernel I have tried, including 4.2.6-201.fc22.x86_64, the pvr works until I suspend the system to ram. Then pvrusb2 crashes and the pvr is unusable until I reboot.


Version-Release number of selected component (if applicable):
kernel-4.2.6-201.fc22.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Suspend to ram
2.
3.

Actual results:

Excerpt of dmesg on 4.2.6-201.fc22.x86_64 when suspending
-----
[  155.939175] e1000e: eno1 NIC Link is Down
[  156.700710] PM: Syncing filesystems ... done.
[  156.970621] PM: Preparing system for sleep (mem)
[  156.971254] Freezing user space processes ... (elapsed 0.002 seconds) done.
[  156.973383] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[  156.974680] PM: Suspending system (mem)
[  156.974698] Suspending console(s) (use no_console_suspend to debug)
[  156.977197] pvrusb2: Device being rendered inoperable
[  156.977234] BUG: unable to handle kernel NULL pointer dereference at 00000000000003b0
[  156.977244] IP: [<ffffffffa0e0b2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[  156.977246] PGD 7bc5cd067 PUD 7c23af067 PMD 0
[  156.977247] Oops: 0000 [#1] SMP
[  156.977277] Modules linked in: s5h1411 tda18271 tda8290 tuner cx25840 nvidia_modeset(POE) ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) nct6775 hwmon_vid xt_conntrack xt_nat iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack pvrusb2 tveeprom cx2341x dvb_core v4l2_common snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_hda_codec_hdmi eeepc_wmi snd_hda_codec_realtek asus_wmi sparse_keymap rfkill iTCO_wdt snd_hda_codec_generic iTCO_vendor_support video intel_rapl iosf_mbi nvidia(POE) x86_pkg_temp_thermal snd_hda_intel coretemp snd_hda_codec kvm_intel gspca_zc3xx snd_hda_core gspca_main kvm snd_hwdep videodev snd_seq crct10dif_pclmul crc32_pclmul snd_seq_device vfat crc32c_intel fat joydev media drm snd_pcm snd_timer snd sb_edac mei_me edac_core
[  156.977292]  mei i2c_i801 lpc_ich soundcore shpchp tpm_infineon tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc vboxnetadp(OE) vboxnetflt(OE) binfmt_misc vboxdrv(OE) uas usb_storage 8021q garp stp llc mrp mxm_wmi e1000e serio_raw ptp pps_core wmi wacom loop
[  156.977295] CPU: 2 PID: 944 Comm: pvrusb2-context Tainted: P           OE   4.2.6-201.fc22.x86_64 #1
[  156.977296] Hardware name: ASUS All Series/X99-A/USB 3.1, BIOS 0401 02/11/2015
[  156.977297] task: ffff8808197dd880 ti: ffff880818c8c000 task.ti: ffff880818c8c000
[  156.977304] RIP: 0010:[<ffffffffa0e0b2e4>]  [<ffffffffa0e0b2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[  156.977305] RSP: 0018:ffff880818c8fe48  EFLAGS: 00010246
[  156.977307] RAX: 0000000000000000 RBX: ffff8807e3988b40 RCX: dead000000200200
[  156.977308] RDX: 00000000000003b0 RSI: 0000000000000000 RDI: 0000000000000000
[  156.977309] RBP: ffff880818c8fe58 R08: ffff880818c8fe80 R09: 0000000000000001
[  156.977310] R10: 0000000000000020 R11: 0000000000000004 R12: ffff880818457c00
[  156.977310] R13: ffff880818c8fe80 R14: 0000000000000000 R15: 0000000000000000
[  156.977312] FS:  0000000000000000(0000) GS:ffff88081f280000(0000) knlGS:0000000000000000
[  156.977313] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  156.977314] CR2: 00000000000003b0 CR3: 00000007c25fc000 CR4: 00000000001406e0
[  156.977315] Stack:
[  156.977318]  0000000000000000 ffff88080cd5d800 ffff880818c8feb8 ffffffffa0e0d92c
[  156.977320]  0000000000000000 ffff8808197dd880 ffffffff810df990 ffff880818c8fe80
[  156.977322]  ffff880818c8fe80 000000002031833c ffff880818c8feb8 ffff880819ea5640
[  156.977323] Call Trace:
[  156.977330]  [<ffffffffa0e0d92c>] pvr2_context_thread_func+0xcc/0x330 [pvrusb2]
[  156.977335]  [<ffffffff810df990>] ? wake_atomic_t_function+0x70/0x70
[  156.977338]  [<ffffffffa0e0d860>] ? pvr2_context_destroy+0xd0/0xd0 [pvrusb2]
[  156.977342]  [<ffffffff810bc8b8>] kthread+0xd8/0xf0
[  156.977344]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[  156.977349]  [<ffffffff817797df>] ret_from_fork+0x3f/0x70
[  156.977351]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[  156.977373] Code: e8 82 e3 ff ff 48 8b 43 38 48 8d 90 b0 03 00 00 48 39 90 b0 03 00 00 74 07 48 83 c4 08 5b 5d c3 48 8b 43 40 48 8d 90 b0 03 00 00 <48> 39 90 b0 03 00 00 75 e5 48 89 df e8 0b fa ff ff eb db 66 0f
[  156.977377] RIP  [<ffffffffa0e0b2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[  156.977378]  RSP <ffff880818c8fe48>
[  156.977378] CR2: 00000000000003b0
[  156.977380] ---[ end trace 015f8d4d86c8df1a ]---
-----

Excerpt of dmesg on 4.2.6-201.fc22.x86_64 when returning from suspend
-----
[  162.810890] pvrusb2: Attempted to execute control transfer when device not ok
[  162.810891] pvrusb2: Attempted to execute control transfer when device not ok
.... REPEATED SEVERAL TIMES ....
[  162.900051] pvrusb2: Attempted to execute control transfer when device not ok
[  162.900057] __tda18271_write_regs: [6-0060|M] ERROR: idx = 0x5, len = 1, i2c_transfer returned: -5
[  162.900060] tda18271_init: [6-0060|M] error -5 on line 832
[  162.900062] tda18271_tune: [6-0060|M] error -5 on line 910
[  162.900063] tda18271_set_analog_params: [6-0060|M] error -5 on line 1041
[  162.900065] pvrusb2: Attempted to execute control transfer when device not ok
[  162.900066] pvrusb2: Attempted to execute control transfer when device not ok
[  162.900067] pvrusb2: Attempted to execute control transfer when device not ok
[  162.906052] pvrusb2: Attempted to execute control transfer when device not ok
[  162.906065] PM: resume of devices complete after 3540.973 msecs
[  162.906110] pvrusb2: Hardware description: WinTV HVR-1950 Model 751xx
[  162.909212] PM: Finishing wakeup.
[  266.704140] pvrusb2: Attempted to execute control transfer when device not ok
[  266.704150] s5h1411_writereg: writereg error 0x19 0xf4 0x0000, ret == -5)
[  266.704152] pvrusb2: Attempted to execute control transfer when device not ok
[  266.704155] s5h1411_writereg: writereg error 0x19 0xf7 0x0000, ret == -5)
.... REPEATED SEVERAL HUNDRED TIMES ....
-----

Expected results:

Excerpt of dmesg on 4.0.8-300.fc22.x86_64 when suspending
-----
[   51.447275] PM: Syncing filesystems ... done.
[   51.459939] PM: Preparing system for mem sleep
[   51.460271] Freezing user space processes ... (elapsed 0.001 seconds) done.
[   51.462030] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[   51.463186] PM: Entering mem sleep
[   51.463196] Suspending console(s) (use no_console_suspend to debug)
[   51.465623] pvrusb2: Device being rendered inoperable
[   51.465672] pvrusb2: unregistered device video1 [mpeg]
[   51.465698] sd 7:0:0:0: [sdd] Synchronizing SCSI cache
[   51.465721] pvrusb2: unregistering DVB devices
-----

Excerpt of dmesg on 4.0.8-300.fc22.x86_64 when returning from suspend
-----
[   57.848880] PM: resume of devices complete after 3644.312 msecs
[   57.848982] pvrusb2: Hardware description: WinTV HVR-1950 Model 751xx
[   57.851611] PM: Finishing wakeup.
[   57.851613] Restarting tasks ... done.
[   57.881629] pvrusb2: Binding ir_rx_z8f0811_haup to i2c address 0x71.
[   57.881678] pvrusb2: Binding ir_tx_z8f0811_haup to i2c address 0x70.
[   57.885057] cx25840 1-0044: cx25843-24 found @ 0x88 (pvrusb2_a)
[   57.895904] pvrusb2: Attached sub-driver cx25840
[   57.899235] tuner 1-0042: Tuner -1 found with type(s) Radio TV.
[   57.899244] pvrusb2: Attached sub-driver tuner
[   60.047423] cx25840 1-0044: loaded v4l-cx25840.fw firmware (16382 bytes)
[   60.140062] tveeprom 1-00a2: Hauppauge model 75111, rev D2F5, serial# 4033814127
[   60.140065] tveeprom 1-00a2: MAC address is 00:0d:fe:6f:1e:6f
[   60.140067] tveeprom 1-00a2: tuner model is NXP 18271C2 (idx 155, type 54)
[   60.140069] tveeprom 1-00a2: TV standards NTSC(M) ATSC/DVB Digital (eeprom 0x88)
[   60.140070] tveeprom 1-00a2: audio processor is CX25843 (idx 37)
[   60.140071] tveeprom 1-00a2: decoder processor is CX25843 (idx 30)
[   60.140072] tveeprom 1-00a2: has radio, has IR receiver, has IR transmitter
[   60.140076] pvrusb2: Supported video standard(s) reported available in hardware: PAL-M/N/Nc;NTSC-M/Mj/Mk;ATSC-8VSB/16VSB
[   60.140078] pvrusb2: Initial video standard (determined by device type): NTSC-M
[   60.140085] pvrusb2: Device initialization completed successfully.
[   60.140192] pvrusb2: registered device video1 [mpeg]
[   60.140195] DVB: registering new adapter (pvrusb2-dvb)
[   62.327192] cx25840 1-0044: loaded v4l-cx25840.fw firmware (16382 bytes)
[   62.430528] tda829x 1-0042: setting tuner address to 60 
[   62.452427] tda18271 1-0060: creating new instance
[   62.482531] TDA18271HD/C2 detected @ 1-0060
[   62.764542] tda18271: performing RF tracking filter calibration 
[   77.193543] tda18271: RF tracking filter calibration complete
[   77.229551] tda829x 1-0042: type set to tda8295+18271
-----


Additional info:
I have been using (with success) this firmware for years:
/lib/firmware/v4l-pvrusb2-73xxx-01.fw
Comment 1 Laura Abbott 2015-12-07 11:15:10 EST
Please reproduce without the vbox modules
Comment 2 Airbete 2015-12-07 12:28:45 EST
(In reply to Laura Abbott from comment #1)
> Please reproduce without the vbox modules

Same behavior without the vbox modules:

Excerpt of dmesg on 4.2.6-201.fc22.x86_64 without vbox when suspending
-----
[   49.034117] PM: Preparing system for sleep (mem)
[   49.034717] Freezing user space processes ... (elapsed 0.001 seconds) done.
[   49.036494] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[   49.037739] PM: Suspending system (mem)
[   49.037756] Suspending console(s) (use no_console_suspend to debug)
[   49.040626] pvrusb2: Device being rendered inoperable
[   49.040661] BUG: unable to handle kernel NULL pointer dereference at 00000000000003b0
[   49.040671] IP: [<ffffffffa051f2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[   49.040672] PGD 0
[   49.040674] Oops: 0000 [#1] SMP
[   49.040702] Modules linked in: s5h1411 tda18271 nvidia_modeset(POE) ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) xt_conntrack xt_nat iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack nct6775 hwmon_vid tda8290 tuner cx25840 pvrusb2 tveeprom cx2341x dvb_core v4l2_common snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec intel_rapl nvidia(POE) snd_hda_core eeepc_wmi iosf_mbi asus_wmi snd_hwdep sparse_keymap gspca_zc3xx x86_pkg_temp_thermal snd_seq rfkill gspca_main iTCO_wdt coretemp iTCO_vendor_support video snd_seq_device kvm_intel videodev kvm snd_pcm vfat fat drm joydev crct10dif_pclmul crc32_pclmul snd_timer crc32c_intel media snd sb_edac soundcore edac_core
[   49.040713]  mei_me mei i2c_i801 shpchp lpc_ich tpm_infineon tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc uas usb_storage 8021q garp stp llc mrp e1000e mxm_wmi serio_raw ptp pps_core wmi wacom loop
[   49.040715] CPU: 1 PID: 834 Comm: pvrusb2-context Tainted: P           OE   4.2.6-201.fc22.x86_64 #1
[   49.040716] Hardware name: ASUS All Series/X99-A/USB 3.1, BIOS 0401 02/11/2015
[   49.040717] task: ffff880819028000 ti: ffff8808197c8000 task.ti: ffff8808197c8000
[   49.040722] RIP: 0010:[<ffffffffa051f2e4>]  [<ffffffffa051f2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[   49.040723] RSP: 0000:ffff8808197cbe48  EFLAGS: 00010246
[   49.040724] RAX: 0000000000000000 RBX: ffff880815b17a80 RCX: dead000000200200
[   49.040724] RDX: 00000000000003b0 RSI: 0000000000000000 RDI: 0000000000000000
[   49.040725] RBP: ffff8808197cbe58 R08: ffff8808197cbe80 R09: 0000000000000001
[   49.040725] R10: 0000000000000020 R11: 0000000000000004 R12: ffff880819a7d9c0
[   49.040726] R13: ffff8808197cbe80 R14: 0000000000000000 R15: 0000000000000000
[   49.040727] FS:  0000000000000000(0000) GS:ffff88081f240000(0000) knlGS:0000000000000000
[   49.040728] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   49.040728] CR2: 00000000000003b0 CR3: 0000000809399000 CR4: 00000000001406e0
[   49.040729] Stack:
[   49.040731]  0000000000000000 ffff8800b8a3c000 ffff8808197cbeb8 ffffffffa052192c
[   49.040732]  0000000000000000 ffff880819028000 ffffffff810df990 ffff8808197cbe80
[   49.040733]  ffff8808197cbe80 0000000087c672dd ffff8808197cbeb8 ffff880818c2ccc0
[   49.040734] Call Trace:
[   49.040739]  [<ffffffffa052192c>] pvr2_context_thread_func+0xcc/0x330 [pvrusb2]
[   49.040744]  [<ffffffff810df990>] ? wake_atomic_t_function+0x70/0x70
[   49.040747]  [<ffffffffa0521860>] ? pvr2_context_destroy+0xd0/0xd0 [pvrusb2]
[   49.040749] sd 7:0:0:0: [sdd] Synchronizing SCSI cache
[   49.040753]  [<ffffffff810bc8b8>] kthread+0xd8/0xf0
[   49.040755]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[   49.040758]  [<ffffffff817797df>] ret_from_fork+0x3f/0x70
[   49.040759]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[   49.040774] Code: e8 82 e3 ff ff 48 8b 43 38 48 8d 90 b0 03 00 00 48 39 90 b0 03 00 00 74 07 48 83 c4 08 5b 5d c3 48 8b 43 40 48 8d 90 b0 03 00 00 <48> 39 90 b0 03 00 00 75 e5 48 89 df e8 0b fa ff ff eb db 66 0f
[   49.040777] RIP  [<ffffffffa051f2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[   49.040777]  RSP <ffff8808197cbe48>
[   49.040778] CR2: 00000000000003b0
[   49.040780] ---[ end trace cd8e75865891adda ]---
-----
Comment 3 Laura Abbott 2015-12-09 13:09:24 EST
Please also reproduce without the nvidia, nvidia_modeset and vmmon modules. We need to rule out interactions caused by all proprietary and out of tree modules
Comment 4 Airbete 2015-12-09 18:31:29 EST
Still the same behavior without the following modules: vbox*, nvidia*, vm*.

Excerpt of dmesg on 4.2.6-201.fc22.x86_64 without those modules when suspending
-----
[   95.801325] e1000e: eno1 NIC Link is Down
[   95.864208] PM: Syncing filesystems ... done.
[   96.133040] PM: Preparing system for sleep (mem)
[   96.133744] Freezing user space processes ... (elapsed 0.002 seconds) done.
[   96.135874] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[   96.136942] PM: Suspending system (mem)
[   96.136973] Suspending console(s) (use no_console_suspend to debug)
[   96.139942] pvrusb2: Device being rendered inoperable
[   96.139988] BUG: unable to handle kernel NULL pointer dereference at 00000000000003b0
[   96.140004] IP: [<ffffffffa07172e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[   96.140007] PGD 0
[   96.140011] Oops: 0000 [#1] SMP
[   96.140063] Modules linked in: s5h1411 tda18271 nct6775 hwmon_vid xt_conntrack xt_nat iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack tda8290 tuner cx25840 pvrusb2 tveeprom cx2341x dvb_core v4l2_common snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_hda_codec_hdmi nouveau snd_hda_codec_realtek vfat fat snd_hda_codec_generic snd_hda_intel snd_hda_codec intel_rapl iosf_mbi snd_hda_core x86_pkg_temp_thermal i2c_algo_bit eeepc_wmi asus_wmi coretemp snd_hwdep ttm sparse_keymap snd_seq iTCO_wdt rfkill iTCO_vendor_support kvm_intel video drm_kms_helper snd_seq_device kvm drm snd_pcm gspca_zc3xx gspca_main crct10dif_pclmul videodev crc32_pclmul snd_timer crc32c_intel snd mei_me sb_edac joydev media mei edac_core soundcore shpchp lpc_ich i2c_i801 tpm_infineon tpm_tis tpm nfsd auth_rpcgss
[   96.140073]  nfs_acl lockd grace sunrpc binfmt_misc uas usb_storage 8021q garp stp llc mrp mxm_wmi e1000e
[   96.140073] sd 7:0:0:0: [sdd] Synchronizing SCSI cache
[   96.140078]  serio_raw ptp pps_core wmi wacom loop
[   96.140081] CPU: 8 PID: 837 Comm: pvrusb2-context Not tainted 4.2.6-201.fc22.x86_64 #1
[   96.140083] Hardware name: ASUS All Series/X99-A/USB 3.1, BIOS 0401 02/11/2015
[   96.140085] task: ffff8808177abb00 ti: ffff88081a3b0000 task.ti: ffff88081a3b0000
[   96.140094] RIP: 0010:[<ffffffffa07172e4>]  [<ffffffffa07172e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[   96.140095] RSP: 0000:ffff88081a3b3e48  EFLAGS: 00010246
[   96.140096] RAX: 0000000000000000 RBX: ffff88081898c1e0 RCX: dead000000200200
[   96.140097] RDX: 00000000000003b0 RSI: 0000000000000000 RDI: 0000000000000000
[   96.140098] RBP: ffff88081a3b3e58 R08: ffff88081a3b3e80 R09: 0000000000000001
[   96.140099] R10: 0000000000000020 R11: 0000000000000004 R12: ffff880819a80540
[   96.140100] R13: ffff88081a3b3e80 R14: 0000000000000000 R15: 0000000000000000
[   96.140102] FS:  0000000000000000(0000) GS:ffff88081f400000(0000) knlGS:0000000000000000
[   96.140104] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   96.140105] CR2: 00000000000003b0 CR3: 0000000001c0b000 CR4: 00000000001406e0
[   96.140106] Stack:
[   96.140109]  0000000000000000 ffff880817d35800 ffff88081a3b3eb8 ffffffffa071992c
[   96.140111]  0000000000000000 ffff8808177abb00 ffffffff810df990 ffff88081a3b3e80
[   96.140114]  ffff88081a3b3e80 0000000033bc8b30 ffff88081a3b3eb8 ffff880816857e00
[   96.140114] Call Trace:
[   96.140124]  [<ffffffffa071992c>] pvr2_context_thread_func+0xcc/0x330 [pvrusb2]
[   96.140129]  [<ffffffff810df990>] ? wake_atomic_t_function+0x70/0x70
[   96.140135]  [<ffffffffa0719860>] ? pvr2_context_destroy+0xd0/0xd0 [pvrusb2]
[   96.140139]  [<ffffffff810bc8b8>] kthread+0xd8/0xf0
[   96.140142]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[   96.140147]  [<ffffffff817797df>] ret_from_fork+0x3f/0x70
[   96.140150]  [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
[   96.140176] Code: e8 82 e3 ff ff 48 8b 43 38 48 8d 90 b0 03 00 00 48 39 90 b0 03 00 00 74 07 48 83
[   96.140176] sd 6:0:0:0: [sdc] Synchronizing SCSI cache
[   96.140190] c4 08 5b 5d c3 48 8b 43 40 48 8d 90 b0 03 00 00 <48> 39 90 b0 03 00 00 75 e5 48 89 df e8 0b fa ff ff eb db 66 0f
[   96.140196] RIP  [<ffffffffa07172e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
[   96.140198] sd 7:0:0:0: [sdd] Stopping disk
[   96.140199]  RSP <ffff88081a3b3e48>
[   96.140200] CR2: 00000000000003b0
[   96.140202] ---[ end trace d86b844f58f035a7 ]---
-----
Comment 5 Didier 2015-12-25 10:13:53 EST
Experiencing exactly the same OOPS, simply by 'rmmod pvrusb2' after a fresh reboot (so suspending is not involved here).

(note : vbxodrv is unloaded, not quite sure what's still tainting the kernel ...)


journalctl output :

Dec 25 15:39:57 obfusc kernel: usbcore: deregistering interface driver pvrusb2
Dec 25 15:39:57 obfusc kernel: pvrusb2: Device being rendered inoperable
Dec 25 15:39:57 obfusc kernel: BUG: unable to handle kernel NULL pointer dereference at 00000000000003b0
Dec 25 15:39:57 obfusc kernel: IP: [<ffffffffa059e2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
Dec 25 15:39:57 obfusc kernel: PGD 0 
Dec 25 15:39:57 obfusc kernel: Oops: 0000 [#1] SMP 
Dec 25 15:39:57 obfusc kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun tda10048 ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle ip6table_filter ip6_tables iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle tda18271 cx25840 saa7134_alsa pvrusb2(-) cx2341x mt352 saa7134_dvb videobuf2_dvb dvb_core mt20xx tea5767 tda9887 eeepc_wmi asus_wmi sparse_keymap tda8290 rfkill iTCO_wdt iTCO_vendor_support intel_rapl iosf_mbi x86_pkg_temp_thermal joydev coretemp tuner kvm_intel kvm saa7134 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec
Dec 25 15:39:57 obfusc kernel:  crct10dif_pclmul crc32_pclmul snd_hda_core videobuf2_core crc32c_intel snd_hwdep videobuf2_dma_sg snd_seq snd_seq_device snd_pcm videobuf2_memops tveeprom rc_core v4l2_common videodev media snd_timer wmi snd soundcore mei_me mei shpchp soc_button_array lpc_ich i2c_i801 nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc uas usb_storage i915 i2c_algo_bit drm_kms_helper serio_raw firewire_ohci drm firewire_core r8169 crc_itu_t mii video [last unloaded: vboxdrv]
Dec 25 15:39:57 obfusc kernel: CPU: 3 PID: 969 Comm: pvrusb2-context Tainted: G           OE   4.2.8-300.fc23.x86_64 #1
Dec 25 15:39:57 obfusc kernel: Hardware name: ASUS All Series/B85-PLUS, BIOS 0309 04/08/2013
Dec 25 15:39:57 obfusc kernel: task: ffff880036a48000 ti: ffff8800b5154000 task.ti: ffff8800b5154000
Dec 25 15:39:57 obfusc kernel: RIP: 0010:[<ffffffffa059e2e4>]  [<ffffffffa059e2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
Dec 25 15:39:57 obfusc kernel: RSP: 0018:ffff8800b5157e48  EFLAGS: 00010246
Dec 25 15:39:57 obfusc kernel: RAX: 0000000000000000 RBX: ffff880211f99360 RCX: dead000000200200
Dec 25 15:39:57 obfusc kernel: RDX: 00000000000003b0 RSI: 0000000000000000 RDI: 0000000000000000
Dec 25 15:39:57 obfusc kernel: RBP: ffff8800b5157e58 R08: ffff8800b5157e80 R09: 0000000000000001
Dec 25 15:39:57 obfusc kernel: R10: ffff8800b557fb00 R11: 00000000000039a3 R12: ffff880036a70540
Dec 25 15:39:57 obfusc kernel: R13: ffff8800b5157e80 R14: 0000000000000000 R15: 0000000000000000
Dec 25 15:39:57 obfusc kernel: FS:  0000000000000000(0000) GS:ffff88021fb80000(0000) knlGS:0000000000000000
Dec 25 15:39:57 obfusc kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 25 15:39:57 obfusc kernel: CR2: 00000000000003b0 CR3: 0000000001c0b000 CR4: 00000000001406e0
Dec 25 15:39:57 obfusc kernel: Stack:
Dec 25 15:39:57 obfusc kernel:  0000000000000000 ffff880214e1b800 ffff8800b5157eb8 ffffffffa05a092c
Dec 25 15:39:57 obfusc kernel:  0000000000000000 ffff880036a48000 ffffffff810df9a0 ffff8800b5157e80
Dec 25 15:39:57 obfusc kernel:  ffff8800b5157e80 0000000042e323bc ffff8800b5157eb8 ffff8802155cfcc0
Dec 25 15:39:57 obfusc kernel: Call Trace:
Dec 25 15:39:57 obfusc kernel:  [<ffffffffa05a092c>] pvr2_context_thread_func+0xcc/0x330 [pvrusb2]
Dec 25 15:39:57 obfusc kernel:  [<ffffffff810df9a0>] ? wake_atomic_t_function+0x70/0x70
Dec 25 15:39:57 obfusc kernel:  [<ffffffffa05a0860>] ? pvr2_context_destroy+0xd0/0xd0 [pvrusb2]
Dec 25 15:39:57 obfusc kernel:  [<ffffffff810bc8c8>] kthread+0xd8/0xf0
Dec 25 15:39:57 obfusc kernel:  [<ffffffff810bc7f0>] ? kthread_worker_fn+0x160/0x160
Dec 25 15:39:57 obfusc kernel:  [<ffffffff8177a69f>] ret_from_fork+0x3f/0x70
Dec 25 15:39:57 obfusc kernel:  [<ffffffff810bc7f0>] ? kthread_worker_fn+0x160/0x160
Dec 25 15:39:57 obfusc kernel: Code: e8 82 e3 ff ff 48 8b 43 38 48 8d 90 b0 03 00 00 48 39 90 b0 03 00 00 74 07 48 83 c4 08 5b 5d c3 48 8b 43 40 48 8d 90 b0 03 00 00 <48> 39 90 b0 03 00 00 75 e5 48 89 df e8 0b fa ff ff eb db 66 0f 
Dec 25 15:39:57 obfusc kernel: RIP  [<ffffffffa059e2e4>] pvr2_v4l2_internal_check+0x54/0x70 [pvrusb2]
Dec 25 15:39:58 obfusc kernel:  RSP <ffff8800b5157e48>
Dec 25 15:39:58 obfusc kernel: CR2: 00000000000003b0
Dec 25 15:39:58 obfusc kernel: ---[ end trace 44d3f316906e4f35 ]---
Comment 6 Airbete 2016-04-08 12:04:44 EDT
This bug is still present in
kernel-4.4.6-200.fc22.x86_64
Comment 7 Fedora End Of Life 2016-07-19 14:34:34 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Airbete 2016-07-20 08:09:56 EDT
This bug is still present in Fedora 24 with
kernel-4.6.3-300.fc24.x86_64
Comment 9 Laura Abbott 2016-09-23 15:12:41 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.
Comment 10 Airbete 2016-09-26 07:28:49 EDT
I confirm this bug is still present in Fedora 24 with
kernel-4.7.4-200.fc24.x86_64

After a fresh reboot, unplugging the usb cable of the HVR-1950 OR simply issuing a 'modprobe -r pvrusb2' generates a kernel oops:
[   45.879399] BUG: unable to handle kernel NULL pointer dereference at 0000000000000500
[   45.879443] IP: [<ffffffffc099d068>] pvr2_v4l2_internal_check+0x48/0x70 [pvrusb2]
etc.
Comment 11 Justin M. Forbes 2017-04-11 10:55:08 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 12 Justin M. Forbes 2017-04-28 13:15:52 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.